Subject: Re: bug#75944: restart-emacs does not work on Windows 11

From: Eli Zaretskii <[email-masked]>
Date: Thu, 30 Jan 2025 14:20:47 +0200

> Date: Thu, 30 Jan 2025 12:03:16 +0000
> From:  Jan Jouleodov via "Bug reports for GNU Emacs,
>  the Swiss army knife of text editors" <[email-masked]>
> 
> restart-emacs is a pretty useful command I use frequently on the WSL version of Emacs. Unfortunately, it
> does not seem to work for Windows.
> 
> I recall reading somewhere that it has something to do with how Windows schedules the restarts, though I
> seem to recall that restart-emacs was part of a package, and not included with Emacs itself.
> 
> Anyways, right now, the command simply closes Emacs but fails to start it up again, and works fine on WSL.

See bug#75631.  Maybe you have the same or similar problem.

restart-emacs works flawlessly for me on MS-Windows 11.